org.apache.ignite.internal.management.api

## Interface CommandsRegistry<A extends IgniteDataTransferObject,R>

All Superinterfaces:
  Command<A,R>

All Known Implementing Classes:
  BaselineCommand, CacheCommand, CacheIdleVerifyCommand, CdcCommand, CommandRegistryImpl, ConsistencyCommand, DefragmentationCommand, DiagnosticCommand, EncryptionCommand, IgniteCommandRegistry, KillCommand, MetaCommand, MetricCommand, PerformanceStatisticsCommand, PersistenceBackupCommand, PersistenceCleanCommand, PersistenceCommand, PropertyCommand, SnapshotCommand, TracingConfigurationCommand, TxCommand, WalCommand, WarmUpCommand

    public interface CommandsRegistry<A extends IgniteDataTransferObject,R>
    extends Command<A,R>

Registry that knows all of its subcommands.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Class<? extends A>` `argClass()`
`Command<?,?>` `command(String name)`
`Iterator<Map.Entry<String,Command<?,?>>>` `commands()`
`default String` `description()` Command description.

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Method Detail

#### command

    Command<?,?> command(String name)

Parameters:
  `name` - Name of the command.
Returns:
  Command instance by name.

#### commands

    Iterator<Map.Entry<String,Command<?,?>>> commands()

Returns:
  Commands iterator.

#### description

    default String description()

Command description.

Specified by:
  `description` in interface `Command<A extends IgniteDataTransferObject,R>`

#### argClass

    default Class<? extends A> argClass()

Specified by:
  `argClass` in interface `Command<A extends IgniteDataTransferObject,R>`
Returns:
  Arguments class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023